olsr: bump to version 0.6.8

Also:

* Add hash file
* Rename patch to new naming convention
* Revamp/cleanup initscript
* Install sample config to the correct location

Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar>
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
This commit is contained in:
Gustavo Zacarias 2015-01-21 10:35:21 -03:00 committed by Thomas Petazzoni
parent 7b4fca6697
commit 901024b805
4 changed files with 21 additions and 16 deletions

View file

@ -1,21 +1,23 @@
#!/bin/sh
#
# Starts OLSRD daemon
#
case "$1" in
start)
echo "Starting OLSRd daemon: "
/usr/sbin/olsrd -d 0
;;
echo -n "Starting oslrd daemon: "
start-stop-daemon -S -q -x /usr/sbin/olsrd -- -d 0 -pidfile /run/olsrd.pid
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
stop)
echo "Stopping OLSRd daemon: "
killall olsrd
;;
echo -n "Stopping olsrd daemon: "
start-stop-daemon -K -q -p /run/olsrd.pid
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
restart)
$0 stop
$0 start
;;
*)
echo "Usage: $0 {start|stop}"
exit 1
echo "Usage: $0 {start|stop|restart}"
exit 1
esac
exit $?

2
package/olsr/olsr.hash Normal file
View file

@ -0,0 +1,2 @@
# From http://www.olsr.org/releases/0.6/SHA256SUM-0.6.8
sha256 692de2eb144f0be2e1dfc5dc5275b6c61b80af080e8f733e0b26b6a860442d27 olsrd-0.6.8.tar.bz2

View file

@ -5,7 +5,7 @@
################################################################################
OLSR_VERSION_MAJOR = 0.6
OLSR_VERSION = $(OLSR_VERSION_MAJOR).6.2
OLSR_VERSION = $(OLSR_VERSION_MAJOR).8
OLSR_SOURCE = olsrd-$(OLSR_VERSION).tar.bz2
OLSR_SITE = http://www.olsr.org/releases/$(OLSR_VERSION_MAJOR)
OLSR_PLUGINS = arprefresh bmf dot_draw dyn_gw dyn_gw_plain httpinfo jsoninfo \
@ -31,12 +31,13 @@ define OLSR_INSTALL_TARGET_CMDS
LDCONFIG=/bin/true DESTDIR=$(TARGET_DIR) \
prefix="/usr" install ; \
done
test -r $(TARGET_DIR)/etc/olsrd.conf || \
$(INSTALL) -D -m 0644 $(@D)/files/olsrd.conf.default.lq $(TARGET_DIR)/etc/olsrd.conf
$(INSTALL) -D -m 0644 $(@D)/files/olsrd.conf.default.lq \
$(TARGET_DIR)/etc/olsrd/olsrd.conf
endef
define OLSR_INSTALL_INIT_SYSV
$(INSTALL) -D -m 0755 package/olsr/S50olsr $(TARGET_DIR)/etc/init.d/S50olsr
$(INSTALL) -D -m 0755 package/olsr/S50olsr \
$(TARGET_DIR)/etc/init.d/S50olsr
endef
$(eval $(generic-package))